> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List registered MLflow models

> Paginated list of registered models with their latest versions.



## OpenAPI

````yaml get /api/mlflow/registered-models
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/mlflow/registered-models:
    get:
      tags:
        - MLflow
      summary: List registered MLflow models
      description: Paginated list of registered models with their latest versions.
      operationId: list_registered_models_api_mlflow_registered_models_get
      parameters:
        - name: max_results
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Max Results
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Page Token
        - name: filter
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: MLflow filter expression (e.g. "name LIKE 'credit%'").
            title: Filter
          description: MLflow filter expression (e.g. "name LIKE 'credit%'").
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MlflowRegisteredModelsList'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    MlflowRegisteredModelsList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/MlflowRegisteredModel'
          type: array
          title: Items
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
        tracking_uri:
          type: string
          title: Tracking Uri
          description: MLflow tracking URI the API used to fetch the list.
        external_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: External Uri
          description: User-facing URL of MLflow (suitable for a link in the UI).
      type: object
      required:
        - items
        - tracking_uri
      title: MlflowRegisteredModelsList
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    MlflowRegisteredModel:
      properties:
        name:
          type: string
          title: Name
        creation_timestamp:
          anyOf:
            - type: integer
            - type: 'null'
          title: Creation Timestamp
        last_updated_timestamp:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Updated Timestamp
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        latest_versions:
          items:
            $ref: '#/components/schemas/MlflowModelVersion'
          type: array
          title: Latest Versions
        tags:
          items:
            $ref: '#/components/schemas/MlflowTag'
          type: array
          title: Tags
      type: object
      required:
        - name
      title: MlflowRegisteredModel
      description: An entry from the MLflow Model Registry.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MlflowModelVersion:
      properties:
        name:
          type: string
          title: Name
        version:
          type: string
          title: Version
        creation_timestamp:
          anyOf:
            - type: integer
            - type: 'null'
          title: Creation Timestamp
        last_updated_timestamp:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Updated Timestamp
        current_stage:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Stage
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Id
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        tags:
          items:
            $ref: '#/components/schemas/MlflowTag'
          type: array
          title: Tags
      type: object
      required:
        - name
        - version
      title: MlflowModelVersion
      description: One version of a registered model.
    MlflowTag:
      properties:
        key:
          type: string
          title: Key
        value:
          anyOf:
            - type: string
            - type: 'null'
          title: Value
      type: object
      required:
        - key
      title: MlflowTag
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````